• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Server issue XFMG and PHP version above 5.4 not working

Affected version
1.1.14

Chris D

XenForo developer
Staff member
#2
This will likely be something on the server.

If it worked prior to changing the PHP version, then it would indicate that the imagick extension for that PHP version isn't installed or enabled. Note this is different to "ImageMagick" itself. I'm specifically talking about the PHP extension Imagick here which is the API which interfaces with ImageMagick. The Imagick extension is usually PHP version dependent so it appearing to be disabled when switching PHP versions is not unheard of or unsurprising.
 

Bionic Rooster

Well-known member
#3
If it worked prior to changing the PHP version, then it would indicate that the imagick extension for that PHP version isn't installed or enabled.
Imagick extension is usually PHP version dependent so it appearing to be disabled when switching PHP versions is not unheard of or unsurprising.
imagemagic is installed
My bad I should have said "Imagick" as I check this yesterday and used the wrong spelling. I also checked info.php after changing PHP versions and it is installed in each case when XFMG watermark setting doesn't work
 

Bionic Rooster

Well-known member
#4
Just checked this against XFMG 2. In php version 5.4 watermark works fine in both XFMG 1.1.14 and XFMG 2
Updated PHP to higher version including 7 XFMG 1.1.14 watermark doesn't work (shows turned off) but works fine in XFMG 2
So I'm not thinking it is a server issue.
 

Chris D

XenForo developer
Staff member
#5
If you go to Admin CP > Options > Attachments when it isn't working do the radio buttons there allow you to switch between GD and then to Imagick and then GD and back to Imagick again?

If you experience that the Imagick option cannot be re-selected at any point, then it is 100% an issue with the Imagick extension itself, either being disabled or otherwise not working properly.
 

Mike

XenForo developer
Staff member
#7
XFMG2 does not require Imagick for this.

That would indicate that Imagick is not loaded. You can probably confirm this via admin.php?tools/phpinfo.
 

Bionic Rooster

Well-known member
#9
@Chris D @Mike is it possible that this is a XF 1.5 issue? The reason I ask is because I spent 2 hours with tech support thinking it was a PHP 5.6 or PHP 7 issue with no resolution, then tried changing PHP 5.4 to 5.6 and 7 with XF 2. XF 2 showed correct php.config changes but no matter what I did with xf 1.5 the version remained 5.4 using the link Mike provided.
So now I'm thinking something about xf 1.5 isn't allowing the change to PHP 5.6 or up.
 

Chris D

XenForo developer
Staff member
#10
There would be nothing on our side that would do this.

It is possible to override the PHP handler in a htaccess file so you could check that, but indeed anything like that would not be put there by XF and any such behaviour would certainly be a server/hosting issue.
 

Chris D

XenForo developer
Staff member
#13
Very peculiar, but certainly nothing that we can or would have control over from the software. There's going to be configuration on the server somewhere that is doing this and being overlooked.